# Picklists

picklists

## GET /picklists

> list Picklist (master: picker)

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"picklists","description":"picklists"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.shipment.picklist.Picklist.picker":{"title":"Picklist (Master: picker)","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.picklist.Picklist"},"picklistId":{"type":"string"},"externalId":{"type":"string"},"description":{"type":"string"},"facilityId":{"type":"string"},"shipmentMethodTypeId":{"type":"string"},"statusId":{"type":"string"},"picklistDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"lastModifiedByUserLogin":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"roles":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.picklist.PicklistRole"}}}},"org.apache.ofbiz.shipment.picklist.PicklistRole":{"title":"Picklist Role","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.picklist.PicklistRole"},"picklistId":{"type":"string"},"partyId":{"type":"string"},"roleTypeId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"lastModifiedByUserLogin":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"person":{"$ref":"#/components/schemas/org.apache.ofbiz.party.party.Person"},"partyGroup":{"$ref":"#/components/schemas/org.apache.ofbiz.party.party.PartyGroup"}}},"org.apache.ofbiz.party.party.Person":{"title":"Person","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.party.Person"},"partyId":{"type":"string"},"salutation":{"type":"string"},"firstName":{"type":"string"},"middleName":{"type":"string"},"lastName":{"type":"string"},"personalTitle":{"type":"string"},"suffix":{"type":"string"},"nickname":{"type":"string"},"firstNameLocal":{"type":"string"},"middleNameLocal":{"type":"string"},"lastNameLocal":{"type":"string"},"otherLocal":{"type":"string"},"memberId":{"type":"string"},"gender":{"type":"string"},"birthDate":{"type":"string","format":"date"},"deceasedDate":{"type":"string","format":"date"},"height":{"type":"number","format":"double"},"weight":{"type":"number","format":"double"},"mothersMaidenName":{"type":"string"},"maritalStatus":{"type":"string"},"socialSecurityNumber":{"type":"string"},"passportNumber":{"type":"string"},"passportExpireDate":{"type":"string","format":"date"},"totalYearsWorkExperience":{"type":"number","format":"double"},"comments":{"type":"string"},"employmentStatusEnumId":{"type":"string"},"residenceStatusEnumId":{"type":"string"},"occupation":{"type":"string"},"yearsWithEmployer":{"type":"number","format":"int64"},"monthsWithEmployer":{"type":"number","format":"int64"},"existingCustomer":{"type":"string"},"cardId":{"type":"string"},"anniversaryDate":{"type":"string","format":"date"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.party.party.PartyGroup":{"title":"Party Group","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.party.PartyGroup"},"partyId":{"type":"string"},"groupName":{"type":"string"},"groupNameLocal":{"type":"string"},"officeSiteName":{"type":"string"},"annualRevenue":{"type":"number"},"numEmployees":{"type":"number","format":"int64"},"tickerSymbol":{"type":"string"},"comments":{"type":"string"},"logoImageUrl":{"type":"string"},"pdfLogoImageUrl":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/picklists":{"get":{"tags":["picklists"],"summary":"list Picklist (master: picker)","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"picklistId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"externalId","in":"query","required":false,"description":"This field stores picklist ID of the external system"},{"schema":{"type":"string","format":""},"name":"description","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"facilityId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"shipmentMethodTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"picklistDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"createdByUserLogin","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"lastModifiedByUserLogin","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.picklist.Picklist.picker"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /picklists

> create Picklist (master: default)

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"picklists","description":"picklists"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.shipment.picklist.Picklist.default.PK":{"title":"Picklist (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.picklist.Picklist.PK"},"picklistId":{"type":"string"}}},"org.apache.ofbiz.shipment.picklist.Picklist.default":{"title":"Picklist (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.picklist.Picklist"},"picklistId":{"type":"string"},"externalId":{"type":"string"},"description":{"type":"string"},"facilityId":{"type":"string"},"shipmentMethodTypeId":{"type":"string"},"statusId":{"type":"string"},"picklistDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"lastModifiedByUserLogin":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"roles":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.picklist.PicklistRole"}}}},"org.apache.ofbiz.shipment.picklist.PicklistRole":{"title":"Picklist Role","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.picklist.PicklistRole"},"picklistId":{"type":"string"},"partyId":{"type":"string"},"roleTypeId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"lastModifiedByUserLogin":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"person":{"$ref":"#/components/schemas/org.apache.ofbiz.party.party.Person"},"partyGroup":{"$ref":"#/components/schemas/org.apache.ofbiz.party.party.PartyGroup"}}},"org.apache.ofbiz.party.party.Person":{"title":"Person","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.party.Person"},"partyId":{"type":"string"},"salutation":{"type":"string"},"firstName":{"type":"string"},"middleName":{"type":"string"},"lastName":{"type":"string"},"personalTitle":{"type":"string"},"suffix":{"type":"string"},"nickname":{"type":"string"},"firstNameLocal":{"type":"string"},"middleNameLocal":{"type":"string"},"lastNameLocal":{"type":"string"},"otherLocal":{"type":"string"},"memberId":{"type":"string"},"gender":{"type":"string"},"birthDate":{"type":"string","format":"date"},"deceasedDate":{"type":"string","format":"date"},"height":{"type":"number","format":"double"},"weight":{"type":"number","format":"double"},"mothersMaidenName":{"type":"string"},"maritalStatus":{"type":"string"},"socialSecurityNumber":{"type":"string"},"passportNumber":{"type":"string"},"passportExpireDate":{"type":"string","format":"date"},"totalYearsWorkExperience":{"type":"number","format":"double"},"comments":{"type":"string"},"employmentStatusEnumId":{"type":"string"},"residenceStatusEnumId":{"type":"string"},"occupation":{"type":"string"},"yearsWithEmployer":{"type":"number","format":"int64"},"monthsWithEmployer":{"type":"number","format":"int64"},"existingCustomer":{"type":"string"},"cardId":{"type":"string"},"anniversaryDate":{"type":"string","format":"date"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.party.party.PartyGroup":{"title":"Party Group","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.party.PartyGroup"},"partyId":{"type":"string"},"groupName":{"type":"string"},"groupNameLocal":{"type":"string"},"officeSiteName":{"type":"string"},"annualRevenue":{"type":"number"},"numEmployees":{"type":"number","format":"int64"},"tickerSymbol":{"type":"string"},"comments":{"type":"string"},"logoImageUrl":{"type":"string"},"pdfLogoImageUrl":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/picklists":{"post":{"tags":["picklists"],"summary":"create Picklist (master: default)","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.picklist.Picklist.default.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.picklist.Picklist.default"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.picklist.Picklist.default"}}},"required":false}}}}}
```

## GET /picklists/{picklistId}

> one Picklist (master: picker)

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"picklists","description":"picklists"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.shipment.picklist.Picklist.picker":{"title":"Picklist (Master: picker)","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.picklist.Picklist"},"picklistId":{"type":"string"},"externalId":{"type":"string"},"description":{"type":"string"},"facilityId":{"type":"string"},"shipmentMethodTypeId":{"type":"string"},"statusId":{"type":"string"},"picklistDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"lastModifiedByUserLogin":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"roles":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.picklist.PicklistRole"}}}},"org.apache.ofbiz.shipment.picklist.PicklistRole":{"title":"Picklist Role","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.picklist.PicklistRole"},"picklistId":{"type":"string"},"partyId":{"type":"string"},"roleTypeId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"lastModifiedByUserLogin":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"person":{"$ref":"#/components/schemas/org.apache.ofbiz.party.party.Person"},"partyGroup":{"$ref":"#/components/schemas/org.apache.ofbiz.party.party.PartyGroup"}}},"org.apache.ofbiz.party.party.Person":{"title":"Person","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.party.Person"},"partyId":{"type":"string"},"salutation":{"type":"string"},"firstName":{"type":"string"},"middleName":{"type":"string"},"lastName":{"type":"string"},"personalTitle":{"type":"string"},"suffix":{"type":"string"},"nickname":{"type":"string"},"firstNameLocal":{"type":"string"},"middleNameLocal":{"type":"string"},"lastNameLocal":{"type":"string"},"otherLocal":{"type":"string"},"memberId":{"type":"string"},"gender":{"type":"string"},"birthDate":{"type":"string","format":"date"},"deceasedDate":{"type":"string","format":"date"},"height":{"type":"number","format":"double"},"weight":{"type":"number","format":"double"},"mothersMaidenName":{"type":"string"},"maritalStatus":{"type":"string"},"socialSecurityNumber":{"type":"string"},"passportNumber":{"type":"string"},"passportExpireDate":{"type":"string","format":"date"},"totalYearsWorkExperience":{"type":"number","format":"double"},"comments":{"type":"string"},"employmentStatusEnumId":{"type":"string"},"residenceStatusEnumId":{"type":"string"},"occupation":{"type":"string"},"yearsWithEmployer":{"type":"number","format":"int64"},"monthsWithEmployer":{"type":"number","format":"int64"},"existingCustomer":{"type":"string"},"cardId":{"type":"string"},"anniversaryDate":{"type":"string","format":"date"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.party.party.PartyGroup":{"title":"Party Group","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.party.PartyGroup"},"partyId":{"type":"string"},"groupName":{"type":"string"},"groupNameLocal":{"type":"string"},"officeSiteName":{"type":"string"},"annualRevenue":{"type":"number"},"numEmployees":{"type":"number","format":"int64"},"tickerSymbol":{"type":"string"},"comments":{"type":"string"},"logoImageUrl":{"type":"string"},"pdfLogoImageUrl":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/picklists/{picklistId}":{"get":{"tags":["picklists"],"summary":"one Picklist (master: picker)","description":null,"parameters":[{"schema":{"type":"string"},"name":"picklistId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.picklist.Picklist.picker"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## PUT /picklists/{picklistId}

> update Picklist (master: default)

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"picklists","description":"picklists"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.shipment.picklist.Picklist.default.PK":{"title":"Picklist (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.picklist.Picklist.PK"},"picklistId":{"type":"string"}}},"org.apache.ofbiz.shipment.picklist.Picklist.default":{"title":"Picklist (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.picklist.Picklist"},"picklistId":{"type":"string"},"externalId":{"type":"string"},"description":{"type":"string"},"facilityId":{"type":"string"},"shipmentMethodTypeId":{"type":"string"},"statusId":{"type":"string"},"picklistDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"lastModifiedByUserLogin":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"roles":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.picklist.PicklistRole"}}}},"org.apache.ofbiz.shipment.picklist.PicklistRole":{"title":"Picklist Role","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.picklist.PicklistRole"},"picklistId":{"type":"string"},"partyId":{"type":"string"},"roleTypeId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"lastModifiedByUserLogin":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"person":{"$ref":"#/components/schemas/org.apache.ofbiz.party.party.Person"},"partyGroup":{"$ref":"#/components/schemas/org.apache.ofbiz.party.party.PartyGroup"}}},"org.apache.ofbiz.party.party.Person":{"title":"Person","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.party.Person"},"partyId":{"type":"string"},"salutation":{"type":"string"},"firstName":{"type":"string"},"middleName":{"type":"string"},"lastName":{"type":"string"},"personalTitle":{"type":"string"},"suffix":{"type":"string"},"nickname":{"type":"string"},"firstNameLocal":{"type":"string"},"middleNameLocal":{"type":"string"},"lastNameLocal":{"type":"string"},"otherLocal":{"type":"string"},"memberId":{"type":"string"},"gender":{"type":"string"},"birthDate":{"type":"string","format":"date"},"deceasedDate":{"type":"string","format":"date"},"height":{"type":"number","format":"double"},"weight":{"type":"number","format":"double"},"mothersMaidenName":{"type":"string"},"maritalStatus":{"type":"string"},"socialSecurityNumber":{"type":"string"},"passportNumber":{"type":"string"},"passportExpireDate":{"type":"string","format":"date"},"totalYearsWorkExperience":{"type":"number","format":"double"},"comments":{"type":"string"},"employmentStatusEnumId":{"type":"string"},"residenceStatusEnumId":{"type":"string"},"occupation":{"type":"string"},"yearsWithEmployer":{"type":"number","format":"int64"},"monthsWithEmployer":{"type":"number","format":"int64"},"existingCustomer":{"type":"string"},"cardId":{"type":"string"},"anniversaryDate":{"type":"string","format":"date"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.party.party.PartyGroup":{"title":"Party Group","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.party.PartyGroup"},"partyId":{"type":"string"},"groupName":{"type":"string"},"groupNameLocal":{"type":"string"},"officeSiteName":{"type":"string"},"annualRevenue":{"type":"number"},"numEmployees":{"type":"number","format":"int64"},"tickerSymbol":{"type":"string"},"comments":{"type":"string"},"logoImageUrl":{"type":"string"},"pdfLogoImageUrl":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/picklists/{picklistId}":{"put":{"tags":["picklists"],"summary":"update Picklist (master: default)","description":null,"parameters":[{"schema":{"type":"string"},"name":"picklistId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.picklist.Picklist.default.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.picklist.Picklist.default"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.picklist.Picklist.default"}}},"required":false}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/fulfillment/picklists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
